Package org.eclipse.m2m.atl.emftvm.launcher

## Interface EMFTVMLaunchConstants

    public interface EMFTVMLaunchConstants

Constants for launching EMFTVM transformations in the Eclipse UI.

### Field Summary

Fields
`static java.lang.String` `DISABLE_JIT` Disable JIT compiler.
`static java.lang.String` `DISPLAY_TIMING` Display Timing Data.
`static java.lang.String` `INOUT_MODEL_OPTIONS` Inout Model Options.
`static java.lang.String` `INOUT_MODELS` Inout Models.
`static java.lang.String` `INOUT_OUT_MODELS` Inout Models Output Locations.
`static java.lang.String` `INPUT_MODEL_OPTIONS` Input Model Options.
`static java.lang.String` `INPUT_MODELS` Input Models.
`static java.lang.String` `LAUNCH_CONFIGURATION_TYPE` The EMFTVM launch configuration ID.
`static java.lang.String` `METAMODEL_OPTIONS` Metamodel Options.
`static java.lang.String` `METAMODELS` Metamodels.
`static java.lang.String` `MODULE_FILE_NAME` Module File Name.
`static java.lang.String` `MODULE_NAME` Module Name.
`static java.lang.String` `MODULE_PATH` Module Path.
`static java.lang.String` `OPT_ALLOW_INTER_MODEL_REFERENCES` allowInterModelReferences.
`static java.lang.String` `OPT_CREATE_NEW_MODEL` createNewModel.
`static java.lang.String` `OPT_DERIVED_FILE` derivedFile.
`static java.lang.String` `OPT_IS_METAMETAMODEL` isMetametamodel.
`static java.lang.String` `OUTPUT_MODEL_OPTIONS` Output Model Options.
`static java.lang.String` `OUTPUT_MODELS` Output Models.
`static java.lang.String` `PROFILE` Display Profiling Data.

### Field Detail

#### LAUNCH_CONFIGURATION_TYPE

    static final java.lang.String LAUNCH_CONFIGURATION_TYPE

The EMFTVM launch configuration ID.

See Also:
  Constant Field Values

#### MODULE_FILE_NAME

    static final java.lang.String MODULE_FILE_NAME

Module File Name.

See Also:
  Constant Field Values

#### MODULE_NAME

    static final java.lang.String MODULE_NAME

Module Name.

See Also:
  Constant Field Values

#### MODULE_PATH

    static final java.lang.String MODULE_PATH

Module Path.

See Also:
  Constant Field Values

#### METAMODELS

    static final java.lang.String METAMODELS

Metamodels.

See Also:
  Constant Field Values

#### INPUT_MODELS

    static final java.lang.String INPUT_MODELS

Input Models.

See Also:
  Constant Field Values

#### INOUT_MODELS

    static final java.lang.String INOUT_MODELS

Inout Models.

See Also:
  Constant Field Values

#### INOUT_OUT_MODELS

    static final java.lang.String INOUT_OUT_MODELS

Inout Models Output Locations.

See Also:
  Constant Field Values

#### OUTPUT_MODELS

    static final java.lang.String OUTPUT_MODELS

Output Models.

See Also:
  Constant Field Values

#### DISPLAY_TIMING

    static final java.lang.String DISPLAY_TIMING

Display Timing Data.

See Also:
  Constant Field Values

#### DISABLE_JIT

    static final java.lang.String DISABLE_JIT

Disable JIT compiler.

See Also:
  Constant Field Values

#### PROFILE

    static final java.lang.String PROFILE

Display Profiling Data.

See Also:
  Constant Field Values

#### METAMODEL_OPTIONS

    static final java.lang.String METAMODEL_OPTIONS

Metamodel Options.

See Also:
  Constant Field Values

#### INPUT_MODEL_OPTIONS

    static final java.lang.String INPUT_MODEL_OPTIONS

Input Model Options.

See Also:
  Constant Field Values

#### INOUT_MODEL_OPTIONS

    static final java.lang.String INOUT_MODEL_OPTIONS

Inout Model Options.

See Also:
  Constant Field Values

#### OUTPUT_MODEL_OPTIONS

    static final java.lang.String OUTPUT_MODEL_OPTIONS

Output Model Options.

See Also:
  Constant Field Values

#### OPT_IS_METAMETAMODEL

    static final java.lang.String OPT_IS_METAMETAMODEL

isMetametamodel.

See Also:
  Constant Field Values

#### OPT_ALLOW_INTER_MODEL_REFERENCES

    static final java.lang.String OPT_ALLOW_INTER_MODEL_REFERENCES

allowInterModelReferences.

See Also:
  Constant Field Values

#### OPT_DERIVED_FILE

    static final java.lang.String OPT_DERIVED_FILE

derivedFile.

See Also:
  Constant Field Values

#### OPT_CREATE_NEW_MODEL

    static final java.lang.String OPT_CREATE_NEW_MODEL

createNewModel.

See Also:
  Constant Field Values